<?php
add_action( 'wpj_after_gateway_compatibility_errors', 'wpj_add_theme_messages_to_plugins', 10, 4 );
add_action( 'wpj_after_plugin_compatibility_errors', 'wpj_add_theme_messages_to_plugins', 10, 4 );
if ( ! function_exists( 'wpj_add_theme_messages_to_plugins' ) ) {
	function wpj_add_theme_messages_to_plugins ( $plugin_version, $plugin_name, $plugin_path, $theme_required_version ) {
		if ( defined( 'wpjobster_VERSION' ) && wpjobster_VERSION < $theme_required_version )
			$error = sprintf( __( 'Your current version of theme is not compatible with %s plugin. Please update the theme to version %s or higher.', 'wpjobster' ), $plugin_name, $theme_required_version );

		if ( version_compare( $plugin_version, '3.0', '<' ) || version_compare( $plugin_version, '3.0.0', '<' ) )
			$error = sprintf( __( 'The current version of %s plugin is not compatible with your theme version. Please update the %s plugin to version 3.0.0 or higher.', 'wpjobster' ), $plugin_name, $plugin_name );

		if ( ! empty( $error ) ) wpj_deactivate_plugin( $plugin_path, $error );
	}
}

add_action( 'admin_init', 'wpj_deactivate_incompatible_plugins' );
if ( ! function_exists( 'wpj_deactivate_incompatible_plugins' ) ) {
	function wpj_deactivate_incompatible_plugins() {
		$wpj_plugins    = wpj_get_wpjobster_plugins_list();
		$active_plugins = wpj_get_option( 'active_plugins' );
		$common_plugins = array_intersect( $wpj_plugins, $active_plugins );

		if ( $common_plugins ) {
			foreach ( $common_plugins as $common_plugin ) {
				$plugin_data = get_plugin_data( WP_PLUGIN_DIR . '/' . $common_plugin );

				if ( version_compare( $plugin_data['Version'], '3.0', '<' ) || version_compare( $plugin_data['Version'], '3.0.0', '<' ) ) {
					$error = sprintf( __( 'The current version of %s plugin is not compatible with your theme version. Please update the %s plugin to version 3.0.0 or higher.', 'wpjobster' ), $plugin_data['Name'], $plugin_data['Name'] );

					wpj_deactivate_plugin( $common_plugin, $error );
				}
			}
		}
	}
}