<?php
add_action( 'admin_enqueue_scripts', 'wpj_enqueue_assets', 10 );
add_action( 'wp_enqueue_scripts', 'wpj_enqueue_assets', 10 );
if ( ! function_exists( 'wpj_enqueue_assets' ) ) {
	function wpj_enqueue_assets() {
		// Common Styles
		wpj_include_assets( get_template_directory() . '/assets/css/vendor/common', get_template_directory_uri() . '/assets/css/vendor/common', 'css' );
		wpj_include_assets( get_template_directory() . '/assets/css/common', get_template_directory_uri() . '/assets/css/common', 'css' );

		// Common Scripts
		wp_enqueue_script( 'wpj-hooks-script', get_template_directory_uri() . '/assets/js/vendor/common/hooks.js', array( 'jquery' ), wpjobster_VERSION, true );
		wp_enqueue_script( 'wpj-moment-script', get_template_directory_uri() . '/assets/js/vendor/common/moment.js', array( 'jquery' ), wpjobster_VERSION, true );
		wpj_include_assets( get_template_directory() . '/assets/js/vendor/common', get_template_directory_uri() . '/assets/js/vendor/common', 'js', array( 'hooks', 'moment' ), true );

		wp_enqueue_script( 'wpj-front-scripts', get_template_directory_uri() . '/assets/js/common/helpers.js', array( 'jquery' ), wpjobster_VERSION, true );
		wpj_include_assets( get_template_directory() . '/assets/js/common', get_template_directory_uri() . '/assets/js/common', 'js', array( 'helpers' ), true );

		if ( is_admin() ) {
			// Admin Styles
			wpj_include_assets( get_template_directory() . '/assets/css/vendor/admin', get_template_directory_uri() . '/assets/css/vendor/admin', 'css' );
			wpj_include_assets( get_template_directory() . '/assets/css/admin', get_template_directory_uri() . '/assets/css/admin', 'css' );

			// Admin Scripts
			wp_enqueue_script( 'wpj-daterangepicker-script', get_template_directory_uri() . '/assets/js/vendor/admin/daterangepicker.js', array( 'jquery' ), wpjobster_VERSION, true );
			wpj_include_assets( get_template_directory() . '/assets/js/vendor/admin', get_template_directory_uri() . '/assets/js/vendor/admin', 'js', array( 'daterangepicker' ), true );

			wpj_include_assets( get_template_directory() . '/assets/js/admin', get_template_directory_uri() . '/assets/js/admin', 'js', array(), true );
			wpj_include_assets( get_template_directory() . '/assets/js/extensions/admin', get_template_directory_uri() . '/assets/js/extensions/admin', 'js', array(), true );

		} else {
			// Front Styles
			wp_enqueue_style( 'wpj-featherlight-style', get_template_directory_uri() . '/assets/css/vendor/front/featherlight.css', array(), wpjobster_VERSION, 'all' );
			wpj_include_assets( get_template_directory() . '/assets/css/vendor/front', get_template_directory_uri() . '/assets/css/vendor/front', 'css', array( 'featherlight' ) );

			if ( is_rtl() ) { // RTL
				wp_enqueue_style( 'wpj-front-rtl-style', get_template_directory_uri() . '/assets/min/wpjobster-front.rtl.css', array(), wpjobster_VERSION, 'all' );

			} else { // LTR
				wp_enqueue_style( 'wpj-semantic-custom-style', get_template_directory_uri() . '/assets/css/front/semantic-custom.css', array(), wpjobster_VERSION, 'all' );
				wpj_include_assets( get_template_directory() . '/assets/css/front', get_template_directory_uri() . '/assets/css/front', 'css', array( 'reset', 'semantic-custom' ) );
			}

			// Front SCSS Styles
			if ( is_rtl() ) wp_enqueue_style( 'wpj-front-scss-ltr-style', get_template_directory_uri() . '/assets/min/wpjobster-front-scss.rtl.css', array(), wpjobster_VERSION, 'all' );
			else wp_enqueue_style( 'wpj-front-scss-ltr-style', get_template_directory_uri() . '/assets/min/wpjobster-front-scss.ltr.css', array(), wpjobster_VERSION, 'all' );

			// Front Scripts
			wp_enqueue_script( 'wpj-modernizr-touch-script', get_template_directory_uri() . '/assets/js/vendor/front/modernizr.touch.js', array( 'jquery' ), wpjobster_VERSION, true );
			wp_enqueue_script( 'wpj-featherlight-script', get_template_directory_uri() . '/assets/js/vendor/front/featherlight.js', array( 'jquery' ), wpjobster_VERSION, true );
			wpj_include_assets( get_template_directory() . '/assets/js/vendor/front', get_template_directory_uri() . '/assets/js/vendor/front', 'js', array( 'modernizr', 'featherlight' ), true );

			wp_enqueue_script( 'wpj-initializations-script', get_template_directory_uri() . '/assets/js/front/initializations.js', array( 'jquery' ), wpjobster_VERSION, true );
			wpj_include_assets( get_template_directory() . '/assets/js/front', get_template_directory_uri() . '/assets/js/front', 'js', array( 'initializations' ), true );
			wpj_include_assets( get_template_directory() . '/assets/js/extensions/front', get_template_directory_uri() . '/assets/js/extensions/front', 'js', array( 'initializations' ), true );

		}
	}
}