<div class="ui basic notpadded segment">

	<?php wpj_display_title( array( 'title' => __( 'Privacy Policy', 'wpjobster' ) ) ); ?>

</div>

<div class="ui basic notpadded segment">

	<h3><?php _e( '1. Introduction', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'Thank you for visiting Jobster and, if applicable, choosing to use our Service. We try to make our Privacy Policy easy to understand so that you are informed as to how we use your information. This Privacy Policy, like our Terms of Service, is an integral part of using our Service; therefore you must completely agree to our Privacy Policy in order to use our Site or Service. If you are under 18 please stop using our Service immediately.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '2. Information Collected', 'wpjobster' ); ?></h3>
	<u><p><?php _e( 'Identifying Information Submitted by You', 'wpjobster' ); ?></p></u>

	<p>
		<?php _e( 'You will not be required to submit any information when visiting our Site. When creating an account, we may collect your name, email, address and country of origin. When purchasing Jobster Theme License you will be required to submit information to our third party payment processor – PayPal. We will not collect any of your payment information, this information will solely be collected and stored by our third party processor.', 'wpjobster' ); ?>
	</p>

	<u><p><?php _e( 'Non-Identifying Information', 'wpjobster' ); ?></p></u>

	<p>
		<?php _e( 'Whenever you visit our Site, we may collect non-identifying information from you, such as your IP address, interactions with the Site and Service, referring URL, browser, operating system, cookie information, usage, data transferred and Internet Service Provider. Without a subpoena, voluntary compliance on the part of your Internet Service Provider, or additional records from a third party such as your wireless provider, this information alone cannot usually be used to identify you.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '4. Use of Your Information', 'wpjobster' ); ?></h3>
	<p><?php _e( 'We will never sell, transfer or give your information to a third party without your permission. However, you agree that we may use your information:', 'wpjobster' ); ?></p>

	<p><?php _e( 'To enhance or improve our users’ experiences.', 'wpjobster' ); ?></p>
	<p><?php _e( 'To provide our Service to you.', 'wpjobster' ); ?></p>
	<p><?php _e( 'To contact you and to respond to inquiries.', 'wpjobster' ); ?></p>
	<p><?php _e( 'To process transactions.', 'wpjobster' ); ?></p>
	<p><?php _e( 'To register an account and use our Service.', 'wpjobster' ); ?></p>

	<p><?php _e( 'Additionally, we may give your information to law enforcement if we are compelled to by a court order, if there has been a violation of any US laws, EU laws or if a violation of the Terms of Service or Privacy Policy has occurred.', 'wpjobster' ); ?></p>

	<h3><?php _e( '5. Accessing, Editing, and Removing Your Information', 'wpjobster' ); ?></h3>
	<p><?php _e( 'After creating an account you may be able to edit and/or delete information submitted by contacting support. However, you will be unable to opt of our data collection practices. If you want your information to be removed from our database please contact us. We will generally endeavor to delete our database of user information at regular intervals, but we cannot guarantee that your information has been or will be deleted immediately. Although some changes may occur immediately, information may still be stored in a web browser’s cache. We take no responsibility for stored information in your cache, or in other devices that may store information, and disclaim all liability of such.', 'wpjobster' ); ?></p>

	<h3><?php _e( '6. Cookies', 'wpjobster' ); ?></h3>
	<p><?php _e( 'We use cookies to save your preferences and to remember your shopping cart. For this reason, you must have cookies enabled in your browser to use our Site and Services. Additionally, some or all of our cookies may be accessible by third parties.', 'wpjobster' ); ?></p>

	<h3><?php _e( '7. Third Party Access to Your Information', 'wpjobster' ); ?></h3>
	<p><?php _e( 'Although you are entering into an Agreement with Jobster to disclose your information to us, we do use third party individuals and organizations to assist us, including contractors, web hosts, and others. Throughout the course of our provision of our Services to you, we may delegate our authority to collect, access, use, and disseminate your information. For example, when you submit a form with personally identifiable information to us, that information will be disseminated or forwarded through our Service to your local law enforcement agency. It is therefore necessary that you grant the third parties we may use in the course of our business the same rights that you afford us under this Privacy Policy. For this reason, you hereby agree that for every authorization which you grant to us in this Privacy Policy, you also grant to any third party that we may hire, contract, or otherwise retain the services of for the purpose of operating, maintaining, repairing, or otherwise improving or preserving our website or its underlying files or systems. You agree not to hold us liable for the actions of any of these third parties, even if we would normally be held vicariously liable for their actions, and that you must take legal action against them directly should they commit any tort or other actionable wrong against you. The following is a non-exhaustive list of other entities that we may store, share, or transfer your information with: PayPal.', 'wpjobster' ); ?></p>

	<h3><?php _e( '8. Law Enforcement', 'wpjobster' ); ?></h3>
	<p><?php _e( 'You agree that we may disclose your information to authorities if compelled to by a court order. Additionally, you agree that we may disclose your information if we reasonably believe that you have violated a US law or the terms of our Terms of Service or Privacy Policy or if we believe that a third party is at risk of bodily harm. In the event that we receive a subpoena affecting your privacy, we may elect to notify you to give you an opportunity to file a motion to quash the subpoena, or we may attempt to quash it ourselves, but we are not obligated to do either. We may also proactively report you and release your information without receiving any request to third parties where we believe that it is proper to do so for legal reasons, such as instances where we believe your publications violate any law of the United States or any other country having jurisdiction over us, our Site, Services, or our Terms of Service. You release us from any damages that may arise from or relate to the release of your information to a request from law enforcement agencies or private litigants. We may release your information under the conditions listed in this paragraph whether it is to individuals or entities and to any state or Federal authorities within the United States, or elsewhere.', 'wpjobster' ); ?></p>

	<h3><?php _e( '9. Commercial and Non-Commercial Communications', 'wpjobster' ); ?></h3>
	<p><?php _e( 'By providing information to the Site that forms the basis of communication with you, such as contact information, you waive all rights to file complaints concerning unsolicited email from us, since you have agreed to such communication by providing your information to us. However, you may unsubscribe from certain communications by notifying Jobster that you no longer wish to receive solicitations or information and we will endeavour to remove you from our database where you have the right to request this under our Agreement, Privacy Policy, or applicable law, or where we voluntarily decide to grant the request.', 'wpjobster' ); ?></p>

	<h3><?php _e( '10. Third Parties', 'wpjobster' ); ?></h3>
	<p><?php _e( 'Jobster may post links to third party websites on our Site or Service, which may include information that we have no control over. When accessing a third party site through our Site or Service, you acknowledge that you are aware that these third party websites are not screened for privacy or security issues by us, and you release us from any liability for the conduct of these third party websites.', 'wpjobster' ); ?></p>

	<p><?php _e( 'Please be aware that this Privacy Policy, and any other policies in place, in addition to any amendments, does not create rights enforceable by third parties. Jobster bears no responsibility for the information collected or used by any advertiser or third party website. You must review their Terms of Service and Privacy to understand how their information collection practices work.', 'wpjobster' ); ?></p>

	<h3><?php _e( '11. Security Measures', 'wpjobster' ); ?></h3>
	<p><?php _e( 'We use SSL Certificates and vulnerability scanning to enhance the security of our Site and Services. However, we make no guarantees as to the security or privacy of your information. It is in our interest to keep our website secure, but we recommend that you use anti-virus software, routine credit checks, firewalls, and other precautions to protect yourself from security and privacy threats.', 'wpjobster' ); ?></p>

	<h3><?php _e( '12. Age Compliance', 'wpjobster' ); ?></h3>
	<p><?php _e( 'We intend to fully comply with COPPA and international laws respecting children’s privacy. Therefore, we do not collect or process any information for any persons under the age of 18. If you are under 18 and using our Site or Service, please stop immediately and do not submit any information to us.', 'wpjobster' ); ?></p>

	<h3><?php _e( '13. International Transfer', 'wpjobster' ); ?></h3>
	<p><?php _e( 'Your information may be transferred to – and maintained on – computers located outside of your state, province, country, or other governmental jurisdiction where the privacy laws may not be as protective as those in your jurisdiction. We may transfer personal information to the United States or elsewhere and process it there. Your consent to this Privacy Policy followed by your submission of such information represents your agreement to that transfer.', 'wpjobster' ); ?></p>

	<h3><?php _e( '14. Amendments', 'wpjobster' ); ?></h3>
	<p><?php _e( 'Like our Terms of Service, we may amend this Privacy Policy from time to time. When we amend this Privacy Policy, we will place a note on our Site or we may contact you. You must agree to the amendments as a condition of your continued use of our Site and Service. If you do not agree, you must immediately cease using our Site and Service and notify us of your refusal to agree by e-mailing us at support@wpjobster.com.', 'wpjobster' ); ?></p>

</div>