<div class="ui basic notpadded segment">

	<?php wpj_display_title( array( 'title' => __( 'Terms of Service', 'wpjobster' ) ) ); ?>

</div>

<div class="term-of-service-wrapper">

	<h3><?php _e( '1. General Usage', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'With the purchase of Jobster Theme License, you are entitled to use the theme on one (1) domain only. As a courtesy, we include design files with Jobster Theme — making it easier to meet the needs of your personal site, or providing a Jobster Theme as a base for client work. Our theme is developed with this usage in mind. Jobster retains the right to change the terms and conditions and licensing of this site and our theme at any time.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '2. Guarantee', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'Jobster Theme is guaranteed to function correctly upon proper installation, activation and options configuration of the theme within the latest WordPress platform. We can not and do not guarantee compatibility with 3rd party plugins, other then the ones that come bundled with the theme. If for some reason the theme is not working properly, report the issue to our support team, and we will do our best to resolve the problem in a timely manner.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '3. Support Subscription', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'With purchase of Jobster theme license you get one (1) year of support and updates. After the initial year has passed you will have an opportunity to pay for an annual support subscription fee. The subscription is for ongoing theme support, updates, maintenance and account access. The subscription renews once per year from the date of purchase at the same rate as the purchased theme license. The subscription may be canceled at any time within your PayPal account. Canceling a subscription will result in suspended access to your Jobster Theme account and suspended access to support resources after one year from your initial purchase date or the last successful subscription renewal. Jobster is not responsible for the failure to cancel a support subscription in the event that it is no longer desired. Canceling a support subscription is the responsibility of the customer.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( '<b>Note:</b> A support subscription is not to be confused with a theme license. Canceling a support subscription will <b>not</b> affect your theme in any way.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '4. Support', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'Support is provided for a year after the purchase date, or for as long as the annual support subscription is renewed. Support includes the rectifying of issues arising from Jobster Theme features, bug fixes and basic usage questions. We do <b>not</b> provide support for the use or issues arising from the use of 3rd party plugins, other then the ones that come bundled with the theme; troubleshooting issues occurring in versions of Internet Explorer older than version 9; WordPress itself; or customization. Questions and inquiries should be directed to our support ticketing system.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'We are unable to provide support that requires us to view websites with questionable content. Such content includes, but is not limited to, pornography, prostitution, racist content, possible scams, etc.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( '<b>Note:</b> Support is offered Monday through Friday, 9AM to 6PM CEST (GMT+2). Support requests are answered in order received.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '5. Theme Setup Service', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'The Theme Setup Service is generally completed within 48 hours from receiving the necessary customer information requested via contact form upon the purchase of the service. The service includes the basic installation of WordPress and/or Jobster Theme, and it includes the setup of the theme <b>as per the theme demo</b>. In addition, we may upload and configure a single logo and background/slider image for the site.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'The Theme Setup Service does <b>not</b> include the creation of pages, posts, content, navigation items or anything outside of the theme demo content. It does <b>not</b> include any customizations or changes to the theme code. The Theme Setup Service should <b>not</b> be used for established websites with existing content.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '6. Refunds', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'We do <b>not</b> offer refunds for digital product sales or support subscription renewal fees. All sales are final. If there is an issue regarding a theme, we will address the problem. Unfortunately, there is no effective way for us to both combat fraud and issue refunds. We will be happy to answer questions regarding our theme before your purchase to insure it will meet your needs. Thank you for your understanding.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '6. Licensing', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'Jobster theme is sold under a split license. This means that we as authors protect our rights and freedoms to respect (and comply with) the GPL as well as to control our own work.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'The Jobster Theme License grants you, the purchaser, an ongoing, non-exclusive, worldwide license to make use of the digital work (Jobster Theme) you have purchased.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'You are licensed to use the Item to create one single End Product (website/marketplace) for yourself or for one client (a "single application"). You can create one End Product for a client, and you can transfer that single End Product to your client for any fee. This license is then transferred to your client.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'You can modify or manipulate the Jobster Theme. You can combine the Jobster Theme with other works and make a derivative work from it. The resulting works are subject to the terms of this license.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'You can\'t re-distribute the Jobster Theme as stock, in a tool or template, or with source files. You can\'t do this with Jobster Theme on its own or bundled with other items, and even if you modify the Jobster Theme. You can\'t re-distribute or make available the Jobster Theme as-is or with superficial modifications.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'Although you can modify the Jobster Theme and therefore delete unwanted components, you can\'t extract and use a single component of a Jobster Theme on a stand-alone basis.', 'wpjobster' ); ?>
	</p>

	<p>
		<?php _e( 'You can only use the Jobster Theme for lawful purposes. Moreover, you can\'t use it in a way that is defamatory, obscene or demeaning, or in connection with sensitive subjects.', 'wpjobster' ); ?>
	</p>

	<h3><?php _e( '8. Theme Compatibility', 'wpjobster' ); ?></h3>
	<p>
		<?php _e( 'Currently Jobster Theme is designed to function properly with WordPress 3.5 and higher. It is our job to make sure the theme is up to date with the latest versions of WordPress. We cannot guarantee it will work properly on older installations of WordPress. We cannot guarantee the compatibility of our theme with all third party software and plugins. If a conflict does arise, we will do our best resolve the situation. Moreover, we cannot guarantee the Jobster Theme will function correctly after modification to the code, or a failure to install the theme or WordPress properly. Jobster Theme is not compatible with the wordpress.com blogging community. It is developed for individual installations of the WordPress platform.', 'wpjobster' ); ?>
	</p>

</div>